Bug 217190 - suspend does not work under KDE
Summary: suspend does not work under KDE
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: hal   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-24 20:54 UTC by David Monniaux
Modified: 2013-03-06 03:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-25 20:36:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Monniaux 2006-11-24 20:54:49 UTC
Description of problem:
Laptop ACPI suspend does not work under KDE - KDE does not process the 'suspend'
ACPI event, while gnome has a daemon processing it. There's no 'suspend' script
in /etc/acpi/events

Version-Release number of selected component (if applicable):
0.5.8.1

How reproducible:
always

Steps to Reproduce:
1. start a KDE session
2. do whatever key combination the laptop uses to produce a suspend ACPI event
3.
  
Actual results:
nothing

Expected results:
should hibernate or suspend the machine

Additional info:
gnome has a daemon processing suspend events. KDE does not, at least in my
installation.

Possible fix:
$ cat /etc/acpi/events/sleep.conf
event=button/sleep.*
action=pm-suspend

Comment 1 David Zeuthen 2006-11-25 20:36:27 UTC
Probably something you should talk to Fedora KDE people about, not something
that is an issue with HAL. For the record,

 1. I think SUSE and other distros are using kpowersave, but unsure, I don't use
KDE, sorry
 2. gnome-power-manager should work just fine under KDE

Thanks.


Note You need to log in before you can comment on or make changes to this bug.